<?php

namespace DTInternet\DtiOnlineconsulting\Utility;

/***************************************************************
 *  Copyright notice
 *
 *  (c) 2022 Stefan Bublies <bublies@dt-internet.de>
 *
 *  All rights reserved
 *
 ***************************************************************/

use TYPO3\CMS\Core\Database\ConnectionPool;
use TYPO3\CMS\Core\Utility\GeneralUtility;


class LivechatApiUtility
{

    /**
     * @param $uid
     * @return true
     */
    public static function checkAgent($uid)
    {
        $ch = curl_init();
        curl_setopt($ch, CURLOPT_URL, 'https://conf.drkduisburg.apps.hosting:4000/supporters/drk-duisburg'); //drk-duisburg muss noch per Konstante variabel gemacht werden
        curl_setopt($ch, CURLOPT_RETURNTRANSFER, TRUE);
        $activeChats = curl_exec($ch);
        $aActiveChats = json_decode($activeChats, true);
        foreach($aActiveChats as $agent) {
            if ($agent == $uid) {
                return true;
            } else {
                return false;
            }
        }
    }

    /**
     * @return mixed
     */
    public static function checkAgents()
    {
        $ch = curl_init();
        curl_setopt($ch, CURLOPT_URL, 'https://conf.drkduisburg.apps.hosting:4000/supporters/drk-duisburg'); //drk-duisburg muss noch per Konstante variabel gemacht werden
        curl_setopt($ch, CURLOPT_RETURNTRANSFER, TRUE);
        $activeChats = curl_exec($ch);
        $aActiveChats = json_decode($activeChats, true);

        return $aActiveChats;
    }
}
