#
# Table structure for table 'tx_dtionlineconsulting_domain_model_categories'
#
CREATE TABLE tx_dtionlineconsulting_domain_model_categories (
    title varchar(255) DEFAULT '' NOT NULL,
);

#
# Table structure for table 'tx_dtionlineconsulting_domain_model_categories_mm'
#
CREATE TABLE tx_dtionlineconsulting_domain_model_categories_mm (
    uid_local int(11) unsigned DEFAULT '0' NOT NULL,
    uid_foreign int(11) unsigned DEFAULT '0' NOT NULL,
    sorting int(11) unsigned DEFAULT '0' NOT NULL,
    sorting_foreign int(11) unsigned DEFAULT '0' NOT NULL,

    KEY uid_local (uid_local),
    KEY uid_foreign (uid_foreign)
);

#
# Table structure for table 'tx_dtionlineconsulting_domain_model_topics'
#
CREATE TABLE tx_dtionlineconsulting_domain_model_topics (
    bodytext text,
    answers int(11) unsigned NOT NULL default '0',
    feuser int(11) unsigned DEFAULT '0' NOT NULL,
    agent int(11) unsigned DEFAULT '0' NOT NULL,
    closed smallint(5) unsigned DEFAULT '0' NOT NULL,
    userstate int(11) unsigned DEFAULT '0' NOT NULL,
    agentstate int(11) unsigned DEFAULT '0' NOT NULL
);

#
# Table structure for table 'tx_dtionlineconsulting_domain_model_topics_mm'
#
CREATE TABLE tx_dtionlineconsulting_domain_model_topics_mm (
    uid_local int(11) unsigned DEFAULT '0' NOT NULL,
    uid_foreign int(11) unsigned DEFAULT '0' NOT NULL,
    sorting int(11) unsigned DEFAULT '0' NOT NULL,
    sorting_foreign int(11) unsigned DEFAULT '0' NOT NULL,

    KEY uid_local (uid_local),
    KEY uid_foreign (uid_foreign)
);

#
# Table structure for table 'tx_dtionlineconsulting_domain_model_topicanswers'
#
CREATE TABLE tx_dtionlineconsulting_domain_model_topicanswers (
    answertext text,
    feuser int(11) unsigned DEFAULT '0' NOT NULL,
    agent int(11) unsigned DEFAULT '0' NOT NULL,
);

#
# Table structure for table 'tx_dtionlineconsulting_domain_model_topicanswers_mm'
#
CREATE TABLE tx_dtionlineconsulting_domain_model_topicanswers_mm (
    uid_local int(11) unsigned DEFAULT '0' NOT NULL,
    uid_foreign int(11) unsigned DEFAULT '0' NOT NULL,
    sorting int(11) unsigned DEFAULT '0' NOT NULL,
    sorting_foreign int(11) unsigned DEFAULT '0' NOT NULL,

    KEY uid_local (uid_local),
    KEY uid_foreign (uid_foreign)
);

#
# Table structure for table 'tx_dtionlineconsulting_domain_model_videoconsulting'
#
CREATE TABLE tx_dtionlineconsulting_domain_model_videoconsulting (
    videoid varchar(255) DEFAULT '' NOT NULL,
    preferreddate int(11) DEFAULT '0' NOT NULL,
    password varchar(255) DEFAULT '' NOT NULL,
    feuser int(11) unsigned DEFAULT '0' NOT NULL,
    agent int(11) unsigned DEFAULT '0' NOT NULL,
    timestampduration int(11) DEFAULT '0' NOT NULL,
    maxuser int(11) DEFAULT '0' NOT NULL,
    information text
);

#
# Table structure for table 'tx_dtionlineconsulting_domain_model_videoconsulting_mm'
#
CREATE TABLE tx_dtionlineconsulting_domain_model_videoconsulting_mm (
    uid_local int(11) unsigned DEFAULT '0' NOT NULL,
    uid_foreign int(11) unsigned DEFAULT '0' NOT NULL,
    sorting int(11) unsigned DEFAULT '0' NOT NULL,
    sorting_foreign int(11) unsigned DEFAULT '0' NOT NULL,

    KEY uid_local (uid_local),
    KEY uid_foreign (uid_foreign)
);

#
# Table structure for table 'tx_dtionlineconsulting_domain_model_livechat'
#
CREATE TABLE tx_dtionlineconsulting_domain_model_livechat (
    chatid varchar(255) DEFAULT '' NOT NULL,
    feuser int(11) unsigned DEFAULT '0' NOT NULL,
    agent int(11) unsigned DEFAULT '0' NOT NULL
);
