<?php
defined('TYPO3_MODE') or die();

/**
 * Default TypoScript
 */
\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addStaticFile(
    'dti_usermanagement',
    'Configuration/TypoScript',
    'Benutzermanagement'
);

\TYPO3\CMS\Extbase\Utility\ExtensionUtility::registerPlugin(
    'DTInternet.DtiUsermanagement',
    'Register',
    'Registrierungsformular'
);

\TYPO3\CMS\Extbase\Utility\ExtensionUtility::registerPlugin(
    'DTInternet.DtiUsermanagement',
    'Usermanagement',
    'Benutzerverwaltung'
);

\TYPO3\CMS\Extbase\Utility\ExtensionUtility::registerPlugin(
    'DTInternet.DtiUsermanagement',
    'Agentstate',
    'Agentenstatus'
);

$GLOBALS['TCA']['tt_content']['types']['list']['subtypes_excludelist']['dtiusermanagement_register'] = 'select_key,recursive,pages';
$GLOBALS['TCA']['tt_content']['types']['list']['subtypes_excludelist']['dtiusermanagement_usermanagement'] = 'select_key,recursive,pages';
$GLOBALS['TCA']['tt_content']['types']['list']['subtypes_excludelist']['dtiusermanagement_agentstate'] = 'select_key,recursive,pages';
$GLOBALS['TCA']['tt_content']['types']['list']['subtypes_addlist']['dtiusermanagement_usermanagement'] = 'pi_flexform';


// FlexForms
\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addPiFlexFormValue('dtiusermanagement_usermanagement', 'FILE:EXT:dti_usermanagement/Configuration/FlexForms/FlexForm_Usermanagement_PlugIn.xml');
