<?php
namespace DTInternet\DtiOnlineconsulting\Tasks;

use TYPO3\CMS\Core\Utility\GeneralUtility;

/***
 * This file is part of the "Salesforce" Extension for TYPO3 CMS.
 * For the full copyright and license information, please read the
 * LICENSE.txt file that was distributed with this source code.
 *  (c) 2022 Stefan Bublies <bublies@dt-internet.de>, D&T Internet GmbH
 ***/

class CleanLiveChatTable extends \TYPO3\CMS\Scheduler\Task\AbstractTask
{

    /**
     * {@inheritdoc}
     * @see \TYPO3\CMS\Scheduler\Task\AbstractTask::execute()
     */
    public function execute()
    {

        // Init
        $import = new \DTInternet\DtiOnlineconsulting\Services\LiveChatData();
        $import->cleanTable();
        $result = true;

        return $result;
    }

}
