<?php
defined('TYPO3_MODE') or die();

/**
 * Default TypoScript
 */
\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addStaticFile(
    'dti_onlineconsulting',
    'Configuration/TypoScript',
    'Onlineberatung'
);

\TYPO3\CMS\Extbase\Utility\ExtensionUtility::registerPlugin(
    'DTInternet.DtiOnlineconsulting',
    'Directmessage',
    'Direktnachrichten'
);

\TYPO3\CMS\Extbase\Utility\ExtensionUtility::registerPlugin(
    'DTInternet.DtiOnlineconsulting',
    'Livechat',
    'Live-Chat'
);

\TYPO3\CMS\Extbase\Utility\ExtensionUtility::registerPlugin(
    'DTInternet.DtiOnlineconsulting',
    'State',
    'Status'
);

\TYPO3\CMS\Extbase\Utility\ExtensionUtility::registerPlugin(
    'DTInternet.DtiOnlineconsulting',
    'Categorie',
    'Kategorie'
);

\TYPO3\CMS\Extbase\Utility\ExtensionUtility::registerPlugin(
    'DTInternet.DtiOnlineconsulting',
    'Videomeet',
    'Videoberatungstermine'
);

$GLOBALS['TCA']['tt_content']['types']['list']['subtypes_excludelist']['dtionlineconsulting_directmessage'] = 'select_key,recursive,pages';
$GLOBALS['TCA']['tt_content']['types']['list']['subtypes_excludelist']['dtionlineconsulting_livechat'] = 'select_key,recursive,pages';
$GLOBALS['TCA']['tt_content']['types']['list']['subtypes_excludelist']['dtionlineconsulting_videomeet'] = 'select_key,recursive,pages';
$GLOBALS['TCA']['tt_content']['types']['list']['subtypes_addlist']['dtionlineconsulting_directmessage'] = 'pi_flexform';
$GLOBALS['TCA']['tt_content']['types']['list']['subtypes_addlist']['dtionlineconsulting_livechat'] = 'pi_flexform';

\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addPiFlexFormValue('dtionlineconsulting_directmessage', 'FILE:EXT:dti_onlineconsulting/Configuration/FlexForms/FlexForm_DirectMessages_PlugIn.xml');

\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addPiFlexFormValue('dtionlineconsulting_livechat', 'FILE:EXT:dti_onlineconsulting/Configuration/FlexForms/FlexForm_Livechat_PlugIn.xml');
